Package org.eclipse.microprofile.openapi.tck

## Class AirlinesAppTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.openapi.tck.AppTestBase
    - - org.eclipse.microprofile.openapi.tck.AirlinesAppTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

    public class AirlinesAppTest
    extends AppTestBase

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`YAML_FILTER`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
`AirlinesAppTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testAdditionalPropertiesDefault​(String type)`
`void` `testAdditionalPropertiesFalse​(String type)`
`void` `testAdditionalPropertiesTrue​(String type)`
`void` `testAdditionalPropertiesTypeString​(String type)`
`void` `testAPIResponse​(String type)`
`void` `testAPIResponses​(String type)`
`void` `testCallbackAnnotations​(String type)`
`void` `testCallbackOperationAnnotations​(String type)`
`void` `testComponents​(String type)`
`void` `testContact​(String type)`
`void` `testContentExampleAttribute​(String type)`
`void` `testContentInAPIResponse​(String type)`
`void` `testContentInParameter​(String type)`
`void` `testContentInRequestBody​(String type)`
`void` `testDefaultParameterRequirement​(String type)`
`void` `testEncodingRequestBody​(String type)`
`void` `testEncodingResponses​(String type)`
`void` `testExampleObject​(String type)`
`void` `testExceptionMappers​(String type)`
`void` `testExplode​(String type)`
`void` `testExtensionParsing​(String type)`
`void` `testExternalDocumentation​(String type)`
`void` `testHeaderInAPIResponse​(String type)`
`void` `testHeaderInComponents​(String type)`
`void` `testHeaderInEncoding​(String type)`
`void` `testInfo​(String type)`
`void` `testLicense​(String type)`
`void` `testLink​(String type)`
`void` `testLinkParameter​(String type)`
`void` `testOAuthFlow​(String type)`
`void` `testOAuthFlows​(String type)`
`void` `testOAuthScope​(String type)`
`void` `testOpenAPIDefinitionExtension​(String type)`
`void` `testOperationAirlinesResource​(String type)`
`void` `testOperationAvailabilityResource​(String type)`
`void` `testOperationBookingResource​(String type)`
`void` `testOperationReviewResource​(String type)`
`void` `testOperationUserResource​(String type)`
`void` `testParameter​(String type)`
`void` `testRefHeaderInAPIResponse​(String type)`
`void` `testRefHeaderInEncoding​(String type)`
`void` `testRequestBodyAnnotations​(String type)`
`void` `testRestClientNotPickedUp​(String type)`
`void` `testSchema​(String type)`
`void` `testSchemaProperty​(String type)`
`void` `testSchemaPropertyValuesOverrideClassPropertyValues​(String type)`
`void` `testSecuirtyRequirementInCallback​(String type)`
`void` `testSecurityRequirement​(String type)`
`void` `testSecurityScheme​(String type)`
`void` `testSecuritySchemes​(String type)`
`void` `testServer​(String type)`
`void` `testStaticFileDefinitions​(String type)`
`void` `testTagDeclarations​(String type)`
`void` `testTagsInOperations​(String type)`
`void` `testVersion​(String type)`

### Methods inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`callEndpoint, configureRestAssured, dereference, dereference, provide`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirlinesAppTest

    public AirlinesAppTest()

### Method Detail

#### createDeployment

    @Deployment(name="airlines",
                testable=false)
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testVersion

    public void testVersion​(String type)

#### testInfo

    public void testInfo​(String type)

#### testContact

    public void testContact​(String type)

#### testLicense

    public void testLicense​(String type)

#### testExternalDocumentation

    public void testExternalDocumentation​(String type)

#### testServer

    public void testServer​(String type)

#### testOperationAirlinesResource

    public void testOperationAirlinesResource​(String type)

#### testOperationAvailabilityResource

    public void testOperationAvailabilityResource​(String type)

#### testRestClientNotPickedUp

    public void testRestClientNotPickedUp​(String type)

#### testOperationBookingResource

    public void testOperationBookingResource​(String type)

#### testOperationReviewResource

    public void testOperationReviewResource​(String type)

#### testOperationUserResource

    public void testOperationUserResource​(String type)

#### testAPIResponse

    public void testAPIResponse​(String type)

#### testAPIResponses

    public void testAPIResponses​(String type)

#### testParameter

    public void testParameter​(String type)

#### testExplode

    public void testExplode​(String type)

#### testCallbackAnnotations

    public void testCallbackAnnotations​(String type)

#### testCallbackOperationAnnotations

    public void testCallbackOperationAnnotations​(String type)

#### testRequestBodyAnnotations

    public void testRequestBodyAnnotations​(String type)

#### testSecurityRequirement

    public void testSecurityRequirement​(String type)

#### testSecuirtyRequirementInCallback

    public void testSecuirtyRequirementInCallback​(String type)

#### testSecuritySchemes

    public void testSecuritySchemes​(String type)

#### testSecurityScheme

    public void testSecurityScheme​(String type)

#### testOAuthFlows

    public void testOAuthFlows​(String type)

#### testOAuthFlow

    public void testOAuthFlow​(String type)

#### testOAuthScope

    public void testOAuthScope​(String type)

#### testEncodingRequestBody

    public void testEncodingRequestBody​(String type)

#### testEncodingResponses

    public void testEncodingResponses​(String type)

#### testLink

    public void testLink​(String type)

#### testLinkParameter

    public void testLinkParameter​(String type)

#### testSchema

    public void testSchema​(String type)

#### testSchemaProperty

    public void testSchemaProperty​(String type)

#### testSchemaPropertyValuesOverrideClassPropertyValues

    public void testSchemaPropertyValuesOverrideClassPropertyValues​(String type)

#### testExampleObject

    public void testExampleObject​(String type)

#### testContentExampleAttribute

    public void testContentExampleAttribute​(String type)

#### testTagDeclarations

    public void testTagDeclarations​(String type)

#### testTagsInOperations

    public void testTagsInOperations​(String type)

#### testComponents

    public void testComponents​(String type)

#### testHeaderInAPIResponse

    public void testHeaderInAPIResponse​(String type)

#### testHeaderInEncoding

    public void testHeaderInEncoding​(String type)

#### testRefHeaderInAPIResponse

    public void testRefHeaderInAPIResponse​(String type)

#### testRefHeaderInEncoding

    public void testRefHeaderInEncoding​(String type)

#### testHeaderInComponents

    public void testHeaderInComponents​(String type)

#### testContentInAPIResponse

    public void testContentInAPIResponse​(String type)

#### testContentInRequestBody

    public void testContentInRequestBody​(String type)

#### testContentInParameter

    public void testContentInParameter​(String type)

#### testDefaultParameterRequirement

    public void testDefaultParameterRequirement​(String type)

#### testStaticFileDefinitions

    public void testStaticFileDefinitions​(String type)

#### testExtensionParsing

    public void testExtensionParsing​(String type)

#### testExceptionMappers

    public void testExceptionMappers​(String type)

#### testAdditionalPropertiesDefault

    public void testAdditionalPropertiesDefault​(String type)

#### testAdditionalPropertiesFalse

    public void testAdditionalPropertiesFalse​(String type)

#### testAdditionalPropertiesTrue

    public void testAdditionalPropertiesTrue​(String type)

#### testAdditionalPropertiesTypeString

    public void testAdditionalPropertiesTypeString​(String type)

#### testOpenAPIDefinitionExtension

    public void testOpenAPIDefinitionExtension​(String type)